# $Revision: 1.4.2.2 $, $Date: 2003/04/11 13:08:30 $
#
# Conditional build:
# _with_tests - perform "make test" (opens /dev/mixer)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	Mixer
Summary:	Audio::Mixer - Perl extension for Sound Mixer control
Summary(pl):	Audio::Mixer - rozszerzenie Perla do sterowania mikserem dwiku
Name:		perl-Audio-Mixer
Version:	0.7
Release:	1
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is just a very simple Perl interface which allows to set various
sound mixer parameters. The most important probably 'vol' (volume).
The list of all mixer parameters can be obtained using
get_mixer_params() function.

%description -l pl
To jest bardzo prosty perlowy interfejs, pozwalajcy na ustawianie
rnych parametrw miksera dwiku. Prawdopodobnie najwaniejszym jest
'vol' (gono). List wszystkich parametrw miksera mona odczyta
funkcj get_mixer_params().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{perl_sitearch}/Audio/volume.pl
%{perl_sitearch}/Audio/Mixer.pm
%dir %{perl_sitearch}/auto/Audio/Mixer
%{perl_sitearch}/auto/Audio/Mixer/autosplit.ix
%{perl_sitearch}/auto/Audio/Mixer/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Audio/Mixer/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Audio-Mixer.spec,v $
Revision 1.4.2.2  2003/04/11 13:08:30  ankry
- updated to 0.7
- more informative summary

Revision 1.4.2.1  2003/03/13 00:56:39  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:36:45  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:26:26  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/05 16:17:09  ankry
- autoupdated to 0.6

Revision 1.1  2002/08/15 17:54:58  qboosh
- new

